Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ldapadapter.appconn
Class RenameEntryImpl

    java.lang.Object
      com.stc.connector.ldapadapter.appconn.RenameEntryImpl

All Implemented Interfaces:
  RenameEntry

    public class RenameEntryImpl

extends java.lang.Object
implements RenameEntry

This class is used to rename an entry in the directory

Version:
  $Revision: 1.7 $
Author:

Constructor Summary
`RenameEntryImpl(LDAPClientApplicationImpl app)` Creates a new instance of RenameEntry

Method Summary
`java.lang.String` | `getNewName()` Method to get the new name of the entry that was set for renaming
`java.lang.String` | `getOldName()` Method to get the old name of the entry that was set for renaming
`boolean` | `performRename()` Method that performs the renaming of the entry
`void` | `reset()` Method to reset the values
`void` | `setNewName(java.lang.String newName)` Method to set the new name of the entry that is to be renamed
`void` | `setOldName(java.lang.String oldName)` Method to set the old name of the entry that is to be renamed

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RenameEntryImpl

    public RenameEntryImpl(LDAPClientApplicationImpl app)

  Creates a new instance of RenameEntry

  Parameters:
    `app` - The LDAP client application associated with this RenameEntry instance.

Method Detail

### setOldName

    public void setOldName(java.lang.String oldName)
                    throws LDAPApplicationException

  Method to set the old name of the entry that is to be renamed

  Specified by:
    `setOldName` in interface `RenameEntry`
  Parameters:
    `the` - old name of the entry to be renamed
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### getOldName

    public java.lang.String getOldName()
                                throws LDAPApplicationException

  Method to get the old name of the entry that was set for renaming

  Specified by:
    `getOldName` in interface `RenameEntry`
  Returns:
    the old name of the entry to be renamed
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### setNewName

    public void setNewName(java.lang.String newName)
                    throws LDAPApplicationException

  Method to set the new name of the entry that is to be renamed

  Specified by:
    `setNewName` in interface `RenameEntry`
  Parameters:
    `the` - new name of the entry to be renamed
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### getNewName

    public java.lang.String getNewName()
                                throws LDAPApplicationException

  Method to get the new name of the entry that was set for renaming

  Specified by:
    `getNewName` in interface `RenameEntry`
  Returns:
    the new name of the entry to be renamed
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### performRename

    public boolean performRename()
                          throws LDAPApplicationException

  Method that performs the renaming of the entry

  Specified by:
    `performRename` in interface `RenameEntry`
  Returns:
    true if the entry was renamed successfully
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server or any problem in executing the operation.

### reset

    public void reset()

  Method to reset the values

  Specified by:
    `reset` in interface `RenameEntry`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD